cURL
curl --request GET \ --url https://api.orafi.app/v1/customers/{customerId} \ --header 'x-api-key: <api-key>'
{ "success": true, "message": "Customer retrieved successfully", "data": { "id": "customer_abc123", "firstname": "John", "lastname": "Doe", "email": "john.doe@example.com", "totalSpent": 500.5, "mode": "test", "createdAt": "2023-11-07T05:31:56Z" } }
Retrieve a specific customer details
Documentation IndexFetch the complete documentation index at: https://docs.orafi.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.orafi.app/llms.txt
Use this file to discover all available pages before exploring further.
API key for merchant authentication required for most endpoints
Customer ID
Customer details retrieved successfully
true
"Customer retrieved successfully"
Show child attributes